### resource Commandes Internes Tcl

NOM
resource - Manipule les resources Macintosh
SYNTAXE
resource option ?arg arg ...?
DESCRIPTION
La commande resource fournit des opérations génériques pour la gestion des resources Macintosh Cette commande est supportée seulement sur la plateforme Macintosh. Chaque fichier Macintosh consiste en deux forks: une fork data et une fork resource. Vous utilisez les commandes normales open, puts, close, etc. pour manipuler les fork data. Vous devez utiliser cette commande, néanmoins, pour interagir avec le fork resource Option indique quelle commande resource effectuer. N'importe quel abréviation unique pour option est acceptable Les options valides sont:

resource close rsrcRef
  Ferme la référence resource donnée (obtenue par resource open) Les resources de ce fichier resource ne seront plus disponibles.
resource delete ?options? resourceType
  Cette commande effacera la resource spécifiée par options et le type resourceType (voir TYPES DE RESOURCES ci-dessous) Les options vous donnent plusieurs façons de spécifier l'effacement de la resource.
  -id resourceId
    Si l'option -id est donnée l'id resourceId (voir IDS DE RESOURCE ci-dessous) est utilisé pour spécifier la resource à effacer L'id doit être un nombre - pour spécifier un nom utiliser l'option -name.
  -name resourceName
    Si -name est spécifié, la resource nommée resourceName sera effacée. Si -id est aussi fournie, alors il doit exister une resource avec A LA FOIS ce nom et cet id. Si aucun nom n'est fourni, alors l'id sera utilisé indépendemment du nom de la resource.
  -file resourceRef
    Si l'option -file est spécifiée alors la resource sera effacée du fichier pointé par resourceRef Autrement la première resource avec le resourceName donné et ou resourceId qui est trouvé dans le chemin du fichier resource sera effacé. Pour inspecter le chemin du fichier, utiliser la commande resource files.
resource files ?resourceRef?
  Si resourceRef n'est pas fournie, cette commande retourne une liste Tcl des références de resource pour tous les fichiers resources couramment ouverts. La liste est dans l'ordre de recherche normal Macintosh pour les resources. Si resourceRef est spécifié, la commande renverra le chemin vers le fichier dont le fork resource est representé par ce jeton.
resource list resourceType?resourceRef?
  Liste tous les ids resources de type resourceType (voir TYPES DE RESOURCE ci-dessous) Si resourceRef est spécifié alors la commande limitera la recherche à ce fichier resource particulier. Autrement, tout fichier resource couramment ouvert par l'application sera recherché. Une liste Tcl de soit le nom soit l'id de resource des resources trouvées sera renvoyée. Voir la section IDS DE RESOURCE ci-dessous pour plus de détails au sujet de ce qu'est un id de resource.
resource open fileName ?access?
  Ouvre la resource pour le fichier fileName. Les permissions d'accès fichier standard peuvent aussi être spécifiées (voyez la page de manuel de open pour les détails). Une référence de resource (resourceRef) est renvoyée qui peut être utilisée par les autres commandes resource. Une erreur peut se produire si le fichier n'existe pas ou si le fichier n'a pas de fork resource. Néanmoins, si vous ouvrez le fichier avec des permissions d'écriture le fichier et/ou le fork resource sera créé au lieu de générer une erreur.
resource read resourceType resourceId ?resourceRef?
  Lit la totalité de la resource de type resourceType (voir TYPES DE RESOURCE ci-dessous) et le nom ou l'id of resourceId (voir IDS DE RESOURCE ci-dessous) en mémoire et retourne le résultat. Si resourceRef est spécifié, la recherche sera limitée au fichier resource, autrement on recherchera tous les forks resource ouverts dans l'application. Il est important de noter que la plupart des resource Macintosh utilisent un format binaire et les données renvoyé par cette commande peuventt contenir des NULLs ou d'autres données non-ASCII.
resource types ?resourceRef?
  Cette commande retourne une liste Tcl de tous les types de resource (voir TYPES DE RESOURCE ci-dessous) trouvés dans le fichier resource pointé par resourceRef. Si resourceRef n'est pas spécifié elle renverra tout les types de resource trouvés dans tous les fichiers resource couramment ouverts par l'application.
resource write ?options? resourceType data
  Cette commande écrit les data transmises en tant qu'une nouvelle resource de type resourceType (voir TYPES DE RESOURCE ci-dessous). Plusieurs options sont disponibles qui decrivent où et comment la resource est stockée.
  -id resourceId
    Si l'option -id est donnée, l'id resourceId (voir IDS DE RESOURCE ci-dessous) est utilisé pour la nouvelle resource, autrement un id unique sera généré qui n'entrera pas en conflit avec une resource existante. Néanmoins, l'id doit être un nombre - pour spécifier un nom utiliser l'option -name.
  -name resourceName
    Si -name est spécifié le resource sera nommée resourceName, autrement elle aura pour nom la chaîne vide.
  -file resourceRef
    Si l'option -file est spécifiée alors la resource sera écrite dans le fichier pointé par resourceRef, autrement la resource la plus recemment ouverte sera utilisée.
  -force
    Si la resource cible existe déjà, alors par défaut Tcl ne l'écrasera pas, mais lèvera une erreur. Utilisez le flag -force pour forcer l'écrasement de la resource existante

TYPES DE RESOURCE
Les types de resource sont définis comme une chaîne de quatre caractère qui est alors mappée à un id sous-jacent Par exemple, TEXT se réfère au type de resource Macintosh pour le texte. Le type STR# est une liste de chaînes indexée. Toutes les resources Macintosh doivent avoir un type. Voir la documentation Macintosh pour une liste plus complète des types de resource qui sont communément utilisés.
IDS DE RESOURCE
Pour cette commande la notion d'un id de resource se refère à deux idées sur les resources Macintosh. Partout où vous pouvez utiliser un Id de resource, vous pouvez utiliser soit le nom de resource ou un numéro de resource. Les noms sont toujours recherchés ou renvoyés de préférence aux numéros. Par exemple, la commande resource list renverra les noms s'ils existent ou les numéros si le nom est NULL.
PROBLEMES DE PORTABILITE
La commande resource est seulement disponible sur Macintosh.
VOIR EGALEMENT
open
Dernière révision: 8.0
Index Précédent Suivant